///////////////////////////////////////////////////////////////////////////////
//	File:	main.h
//	Date:	2011-01-02
///////////////////////////////////////////////////////////////////////////////

#ifndef MAIN_H_
#define MAIN_H_

#include "mcu/stm32f100rb.h"
#include "mcu/core_cm3.h"
#include "mcu/interrupt.h"

#include "utility/macros.h"

#include "mcu/peripherals/mcu_gpio.h"

#define LED_GREEN	C, 9, HIGH, GENERAL_OUTPUT_PUSH_PULL, SPEED_2MHZ
#define LED_BLUE	C, 8, HIGH, GENERAL_OUTPUT_PUSH_PULL, SPEED_2MHZ
#define BUTTON		A, 0, HIGH, INPUT_FLOATING,

extern void delay_ms(uint16_t time);

#endif /* MAIN_H_ */
