/*
 *	File:	interrupt.c
 *	Date:	09.01.2011
 */

#include "main.h"

//-----------------------------------------------------------------------------
void interrupt_init(void)
{
	NVIC_SetPriority(EXTI0_IRQn, 15);
	NVIC_EnableIRQ(EXTI0_IRQn);
}

//-----------------------------------------------------------------------------
void handler_exti0(void)
{
	if (PIN_SIGNAL(BUTTON))
	{
		PIN_OFF(LED_GREEN);
	}
	else
	{
		PIN_ON(LED_GREEN);
	}

	EXTI->PR = EXTI_PR_PR0;
}
